Subject: RE: [External] : Re: bug#19070: 25.0.50; Provide a user option that filters the buffer list for `switch-to-next-buffer'

From: Drew Adams <[email-masked]>
Date: Thu, 12 May 2022 17:25:33 +0000

> > > Did you look at the change that was actually installed?
> >
> > If communicated in the bug thread then I'd know the
> > answer to the question, and wouldn't need to ask.
> > It wasn't.
> 
> People who want answers to those questions are expected to look in
> Git.  A URL to do so was posted many times in response to your
> questions like the above.
> 
> Please don't expect people here to post information that you can
> easily and trivially find out yourself.

If there were an accurate classification of whether
a bug was actually fixed, versus not fixed (won't
fix), then I wouldn't need to look at anything.

In that case, "fixed" or "wont-fix" would suffice.
Alas, we now get tons and tons of "fixed"/"Done"
for bugs that are not fixed.

If a bug is partly fixed, in the view of the fixer,
then yes, IMHO it behooves the closing email to make
clear to the filer what parts were fixed, i.e., how
much it was and wasn't fixed.  That's being honest
and straightforward.

In the case of a doc bug, if the closing email
includes a _link_ to the fixed doc, or if it simply
includes the actual fixed doc textually, then of
course I'll check that result myself.  If not, I'll
have to ask questions such as what I asked here.

For a non-doc bug, a clear description of the fix
can suffice.  And a _link_ to the resulting code,
in the closing email, can help.

There's nothing odd or abnormal about expecting
specific info about how/whether a bug is "fixed".
And this is all the more important because we get
so many falsely claimed "Done" closures.